PropertyNotFoundException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.ext.PropertyNotFoundException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.ext
Class PropertyNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.measurement.ext.PropertyNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyNotFoundException

extends NestedException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`PropertyNotFoundException()` Constructor for PropertyNotFoundException.
`PropertyNotFoundException(java.lang.String s)` Constructor for PropertyNotFoundException.
`PropertyNotFoundException(java.lang.String s, java.lang.Throwable t)` Constructor for PropertyNotFoundException.
`PropertyNotFoundException(java.lang.String s, java.util.Vector v)` Constructor for PropertyNotFoundException.
`PropertyNotFoundException(java.lang.Throwable t)` Constructor for PropertyNotFoundException.

Method Summary

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyNotFoundException

    public PropertyNotFoundException()

  Constructor for PropertyNotFoundException.

### PropertyNotFoundException

    public PropertyNotFoundException(java.lang.String s)

  Constructor for PropertyNotFoundException.

  Parameters:
    `arg0` -

### PropertyNotFoundException

    public PropertyNotFoundException(java.lang.Throwable t)

  Constructor for PropertyNotFoundException.

  Parameters:
    `arg0` -

### PropertyNotFoundException

    public PropertyNotFoundException(java.lang.String s,
                                     java.lang.Throwable t)

  Constructor for PropertyNotFoundException.

  Parameters:
    `arg0` -
    `arg1` -

### PropertyNotFoundException

    public PropertyNotFoundException(java.lang.String s,
                                     java.util.Vector v)

  Constructor for PropertyNotFoundException.

  Parameters:
    `arg0` -
    `arg1` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.